html {
  max-width: 100vw;
}

body {
  margin: 0;
  background-color: #8F57FD;
  font-family: 'Muli', sans-serif;
  max-width: 100vw;
}

.header {
  max-width: 100vw;
  height: 80px;
  background-color: #8F57FD;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__img {
  width: 200px;
  margin-top: 10px;
  margin-left: 10px;
}

.header__menu {
  margin-right: 30px;
}

.header__menu ul {
  display: none;
  list-style: none;
  padding: 0;
  position: absolute;
  width: 100px;
  text-align: right;
  margin: 0 0 0 -14px;
}

.header__menu:hover ul, ul:hover {
  display: block;
}

.header__menu li {
  margin: 10px 0;
}

.header__menu li a {
  color: white;
  text-decoration: none;
}

.header__menu li a:hover {
  text-decoration: underline;
  font-weight: bold;
}

.header__menu--profile {
  margin-right: 8px;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.header__menu--profile img {
  margin-right: 8px;
  width: 40px;
}

.header__menu--profile p {
  margin: 0px;
  color: white;
}

.main {
  height: 300px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.main__title {
  color: white;
  font-size: 25px;
}

.input {
  border: 2px solid white;
  border-radius: 25px;
  color: white;
  font-family: 'Muli', sans-serif;
  font-size: 16px;
  height: 45px;
  padding: 0 20px;
  width: 70%;
  background-color: rgba(255, 255, 255, 0.1);
  outline: none;
}

::placeholder {
  color: white;
}

.categories__title {
  color: white;
  position: absolute;
  padding-left: 30px;
}

.carousel {
  max-width: 100vw;
  overflow-x: scroll;
  padding: 30px;
  box-sizing: border-box;
  position: relative;
}

.carousel__container {
  white-space: nowrap;
  margin: 70px 0 30px 0;
  padding-bottom: 10px;
}

.carousel-item {
  background-color: teal;
  width: 200px;
  height: 250px;
  border-radius: 20px;
  overflow: hidden;
  margin-right: 10px;
  display: inline-block;
  cursor: pointer;
  transition: 450ms;
  transform-origin: center left;
  position: relative;
}

.carousel-item:hover ~ .carousel-item {
  transform: translate3d(100px, 0, 0);
}

.carousel__container:hover .carousel-item {
  opacity: 0.3;
}

.carousel__container:hover .carousel-item:hover {
  transform: scale(1.5);
  opacity: 1;
}

.carousel-item__img {
  width: 200px;
  height: 250px;
  object-fit: cover;
}

.carousel-item__details {
  background: linear-gradient(to top, rgba(0,0,0,0.9) 0%, rgba(0,0,0,0) 100%);
  font-size: 10px;
  opacity: 0;
  transition: 450ms opacity;
  padding: 10px;
  position: absolute;
  /*top: 175px;*/
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  color: white;
}

.carousel-item__details--icon img{
  width: 20px;
}

.carousel-item__details:hover {
  opacity: 1;
}

.carousel-item__details--title, .carousel-item__details--subtitle {
  margin: 3px 2px;
  margin-bottom: 0;
}

.carousel-item__details--title {
  font-size: 12px;
  font-weight: bold;
}

.carousel-item__details--subtitle {
  font-size: 8px;
}

::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 4px;
}

::-webkit-scrollbar {
  width: 8px;
  height: 8px;
  display: none;
  background:rgba(255,255,255,.4);
  border-radius: 4px;
}

::-webkit-scrollbar:hover {
  background: #b3b3b3;
  box-shadow: 002px1pxrgba(0, 0, 0, 0.2);
}

::-webkit-scrollbar:hover:active {
  background: #999;
}

.footer {
  display: flex;
  align-items: center;
  height: 100px;
  max-width: 100vw;
  background-color: #8F57FD;
}

.footer a {
  color: white;
  cursor: pointer;
  font-size: 14px;
  text-decoration: none;
  padding-left: 30px;
}

.footer a:hover {
  text-decoration: underline;
}

@media only screen and (max-width: 600px) {
  .footer {
    align-items: flex-start;
    flex-direction: column;
  }

  .footer a {
    margin-bottom: 5px ;
  }
}